import { Component, Inject } from '@angular/core';
import { DataService } from './app.data';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'columnGroupsAngular14_app';

  colGroups1: any;
  colGroups2: any;
  animated = true;
  data: any;
  columnGroups: any;

  constructor(@Inject(DataService) private dataService: DataService) {
    this.data = dataService.getData();
    this.colGroups1 = dataService.getColumnGroups();
    this.colGroups2 = dataService.getDeeperColumnGroups();
    this.data = dataService.getData();
    this.columnGroups = this.colGroups1;
  }
}
