import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { WjGridModule } from '@grapecity/wijmo.angular2legacy.grid';
import { WjInputModule } from '@grapecity/wijmo.angular2legacy.input';
import { WjGridFilterModule } from '@grapecity/wijmo.angular2legacy.grid.filter';
import { AppComponent } from './app.component';
import { DataService } from './app.data';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    WjGridModule,
    WjInputModule,
    WjGridFilterModule
  ],
  providers: [DataService],
  bootstrap: [AppComponent]
})
export class AppModule { }
